osl::checkmate::DfpnRecordBase Struct Reference

`#include <dfpnRecord.h>`

Inheritance diagram for osl::checkmate::DfpnRecordBase:

## Public Types

enum | ProofPiecesType { UNSET =0 , PROOF , DISPROOF }

## Public Member Functions

| DfpnRecordBase ()

## Public Attributes

ProofDisproof | proof_disproof
uint64_t | solved
| 手番に否定的に結果が判明したリスト loop は除く
uint64_t | dag_moves
| 合流を引き起こす指手一覧
Move | best_move
PieceStand | proof_pieces
unsigned int | node_count
unsigned int | tried_oracle
Move | last_move
| 合流検知+simulation中の簡易 無限ループ回避
PieceStand | proof_pieces_candidate
| solved のmax
unsigned int | min_pdp
uint32_t | working_threads
Square | last_to
int8_t | proof_pieces_set
char | need_full_width
char | false_branch
bool | dag_terminal

## Detailed Description

Definition at line 15 of file dfpnRecord.h.

## Member Enumeration Documentation

## ProofPiecesType

enum osl::checkmate::DfpnRecordBase::ProofPiecesType

Enumerator
UNSET |
PROOF |
DISPROOF |

Definition at line 35 of file dfpnRecord.h.

## Constructor & Destructor Documentation

## DfpnRecordBase()

osl::checkmate::DfpnRecordBase::DfpnRecordBase | ( |  | ) |

inline

Definition at line 42 of file dfpnRecord.h.

References dag_moves, dag_terminal, false_branch, min_pdp, NAGAI_DAG_TEST, need_full_width, node_count, proof_pieces_set, solved, tried_oracle, UNSET, and working_threads.

Referenced by osl::checkmate::DfpnRecord::setFrom().

## Member Data Documentation

## best_move

Move osl::checkmate::DfpnRecordBase::best_move

Definition at line 24 of file dfpnRecord.h.

Referenced by osl::checkmate::Dfpn::hasCheckmateMove(), osl::checkmate::Dfpn::proofOracleAttack(), and osl::checkmate::Dfpn::tryProofMain().

## dag_moves

uint64_t osl::checkmate::DfpnRecordBase::dag_moves

合流を引き起こす指手一覧

Definition at line 22 of file dfpnRecord.h.

Referenced by osl::checkmate::DfpnTable::List::addDag(), DfpnRecordBase(), osl::checkmate::DfpnRecord::setFrom(), and osl::checkmate::DfpnTable::List::store().

## dag_terminal

bool osl::checkmate::DfpnRecordBase::dag_terminal

Definition at line 39 of file dfpnRecord.h.

Referenced by DfpnRecordBase(), osl::checkmate::Dfpn::findDagSource(), and osl::checkmate::DfpnRecord::setFrom().

## false_branch

char osl::checkmate::DfpnRecordBase::false_branch

Definition at line 37 of file dfpnRecord.h.

Referenced by osl::checkmate::DfpnTable::List::addDag(), DfpnRecordBase(), osl::checkmate::DfpnRecord::setFrom(), and osl::checkmate::DfpnTable::List::store().

## last_move

Move osl::checkmate::DfpnRecordBase::last_move

合流検知+simulation中の簡易 無限ループ回避

Definition at line 29 of file dfpnRecord.h.

Referenced by osl::checkmate::Dfpn::findDagSource(), osl::checkmate::DfpnRecord::setFrom(), and osl::checkmate::Dfpn::tryProofMain().

## last_to

Square osl::checkmate::DfpnRecordBase::last_to

Definition at line 34 of file dfpnRecord.h.

Referenced by osl::checkmate::DfpnRecord::setFrom().

## min_pdp

unsigned int osl::checkmate::DfpnRecordBase::min_pdp

Definition at line 32 of file dfpnRecord.h.

Referenced by osl::checkmate::DfpnTable::List::addDag(), DfpnRecordBase(), and osl::checkmate::DfpnTable::List::store().

## need_full_width

char osl::checkmate::DfpnRecordBase::need_full_width

Definition at line 37 of file dfpnRecord.h.

Referenced by DfpnRecordBase(), osl::checkmate::Dfpn::hasEscapeMove(), and osl::checkmate::DfpnRecord::setFrom().

## node_count

unsigned int osl::checkmate::DfpnRecordBase::node_count

mutable

Definition at line 26 of file dfpnRecord.h.

Referenced by osl::checkmate::Dfpn::analyze(), DfpnRecordBase(), osl::checkmate::DfpnTable::List::probe(), osl::checkmate::Dfpn::proofOracleDefense(), and osl::checkmate::DfpnRecord::setFrom().

## proof_disproof

ProofDisproof osl::checkmate::DfpnRecordBase::proof_disproof

Definition at line 17 of file dfpnRecord.h.

Referenced by osl::checkmate::DfpnTable::addDag(), osl::checkmate::Dfpn::analyze(), osl::checkmate::Dfpn::attack(), osl::checkmate::Dfpn::blockingSimulation(), osl::checkmate::Dfpn::defense(), osl::checkmate::DfpnRecord::disproof(), osl::checkmate::Dfpn::grandParentSimulation(), osl::checkmate::Dfpn::hasCheckmateMove(), osl::checkmate::Dfpn::hasEscapeMove(), osl::checkmate::ProofTreeDepthDfpn::orNode(), osl::checkmate::DfpnTable::List::probe(), osl::checkmate::DfpnRecord::proof(), osl::checkmate::Dfpn::proofOracleAttack(), osl::checkmate::Dfpn::proofOracleDefense(), osl::checkmate::Dfpn::Node::setCheckmateAttack(), osl::checkmate::Dfpn::setIllegal(), osl::checkmate::Dfpn::Node::setNoCheckmateDefense(), osl::checkmate::DfpnTable::List::store(), osl::checkmate::DfpnTable::store(), and osl::checkmate::Dfpn::tryProofMain().

## proof_pieces

PieceStand osl::checkmate::DfpnRecordBase::proof_pieces

Definition at line 25 of file dfpnRecord.h.

Referenced by osl::checkmate::DfpnRecord::disproofPieces(), osl::checkmate::DfpnRecord::proofPieces(), osl::checkmate::DfpnRecord::setDisproofPieces(), and osl::checkmate::DfpnRecord::setProofPieces().

## proof_pieces_candidate

PieceStand osl::checkmate::DfpnRecordBase::proof_pieces_candidate

solved のmax

Definition at line 31 of file dfpnRecord.h.

Referenced by osl::checkmate::DfpnTable::List::addDag(), and osl::checkmate::DfpnTable::List::store().

## proof_pieces_set

int8_t osl::checkmate::DfpnRecordBase::proof_pieces_set

Definition at line 36 of file dfpnRecord.h.

Referenced by DfpnRecordBase(), osl::checkmate::DfpnRecord::disproofPieces(), osl::checkmate::DfpnRecord::proofPieces(), osl::checkmate::DfpnRecord::setDisproofPieces(), and osl::checkmate::DfpnRecord::setProofPieces().

## solved

uint64_t osl::checkmate::DfpnRecordBase::solved

手番に否定的に結果が判明したリスト loop は除く

Definition at line 19 of file dfpnRecord.h.

Referenced by osl::checkmate::DfpnTable::List::addDag(), osl::checkmate::Dfpn::blockingSimulation(), osl::checkmate::Dfpn::defense(), DfpnRecordBase(), osl::checkmate::Dfpn::grandParentSimulation(), osl::checkmate::DfpnRecord::setFrom(), and osl::checkmate::DfpnTable::List::store().

## tried_oracle

unsigned int osl::checkmate::DfpnRecordBase::tried_oracle

Definition at line 27 of file dfpnRecord.h.

Referenced by DfpnRecordBase(), and osl::checkmate::Dfpn::tryProofMain().

## working_threads

uint32_t osl::checkmate::DfpnRecordBase::working_threads

Definition at line 33 of file dfpnRecord.h.

Referenced by osl::checkmate::DfpnTable::List::addDag(), DfpnRecordBase(), osl::checkmate::DfpnTable::List::setWorking(), and osl::checkmate::DfpnTable::List::store().

The documentation for this struct was generated from the following file:

- dfpnRecord.h